Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.net
Class Socket

Method Summary
`Writer` | `leftShift(Object value)` Overloads the left shift operator to provide an append mechanism to add things to the output stream of a socket
`OutputStream` | `leftShift(byte[] value)` Overloads the left shift operator to provide an append mechanism to add bytes to the output stream of a socket
`Object` | `withObjectStreams(Closure closure)` Creates an InputObjectStream and an OutputObjectStream from a Socket, and passes them to the closure.
`Object` | `withStreams(Closure closure)` Passes the Socket's InputStream and OutputStream to the closure.

Method Detail

### leftShift

    public Writer leftShift(Object value)

  Overloads the left shift operator to provide an append mechanism to add things to the output stream of a socket

Parameters:
  `value` - a value to append.

Returns:
  a Writer

Since:
  1.0

### leftShift

    public OutputStream leftShift(byte[] value)

  Overloads the left shift operator to provide an append mechanism to add bytes to the output stream of a socket

Parameters:
  `value` - a value to append.

Returns:
  an OutputStream

Since:
  1.0

### withObjectStreams

    public Object withObjectStreams(Closure closure)

  Creates an InputObjectStream and an OutputObjectStream from a Socket, and passes them to the closure. The streams will be closed after the closure returns, even if an exception is thrown.

Parameters:
  `closure` - a Closure.

Returns:
  the value returned by the closure

Since:
  1.5.0

### withStreams

    public Object withStreams(Closure closure)

  Passes the Socket's InputStream and OutputStream to the closure. The streams will be closed after the closure returns, even if an exception is thrown.

Parameters:
  `closure` - a Closure.

Returns:
  the value returned by the closure

Since:
  1.5.2

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK